Bug 595268 - Review Request: tangerine-fonts - Tangerine is a calligraphy font inspired by many italic chancery hands
Summary: Review Request: tangerine-fonts - Tangerine is a calligraphy font inspired by...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-24 08:47 UTC by Parag Nemade
Modified: 2014-09-29 11:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-01 06:36:48 UTC
Type: ---
dueno: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2010-05-24 08:47:07 UTC
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/tangerine-fonts.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/tangerine-fonts-1.000-1.fc13.src.rpm
Description: Tangerine is a calligraphy font inspired by many italic chancery hands from the 16-17th century. Its tall ascender, the most distinct characteristic of this type, takes a wide line space between lines and gives it a graceful texture. It is generally advisable to use Tangerine for a title or short text at large size because of the short height of lowercase letters. Tangerine is produced by Japanese type designer Toshi Omagari and was named after a woman who encouraged him to begin this work.

Comment 1 Daiki Ueno 2010-05-25 02:06:30 UTC
I'm trying to review.  The packaging looks mostly ok with me, except that:

1. packaging request

Please create a font description wiki page for this font:
http://fedoraproject.org/wiki/Font_package_lifecycle#1

2. the fontconfig.conf prefix is 65

Since this font seems to contain only LGC glyphs (and some symbols), I think it should be 61-64:
http://fedoraproject.org/wiki/Fontconfig_packaging_tips#Choosing_a_ruleset_numeral_prefix

3. locale-specific override without "lang" test

IIUC, it works as if an inverted "Simple priority list" rule applies:
http://fedoraproject.org/wiki/Fontconfig_packaging_tips#Locale-specific_overrides
I guess 2 & 3 are complementary each other, is that intended?

Comment 2 Parag Nemade 2010-05-25 08:54:38 UTC
Updated package
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/tangerine-fonts.spec
SRPM URL:
http://paragn.fedorapeople.org/fedora-work/SRPMS/tangerine-fonts-1.000-1.fc13.src.rpm

Note:- I have not bumped the release.

Comment 3 Parag Nemade 2010-05-25 09:50:26 UTC
https://fedoraproject.org/wiki/Tangerine_fonts

Comment 4 Daiki Ueno 2010-05-26 00:45:31 UTC
Looks ok.

Comment 5 Parag Nemade 2010-05-26 09:52:06 UTC
Thank you for the review Daiki.

New Package CVS Request
=======================
Package Name: tangerine-fonts
Short Description: Tangerine is a calligraphy font inspired by many italic chancery hands
Owners: pnemade
Branches: F-13 
InitialCC: fonts-sig i18n-team

Comment 6 Dennis Gilmore 2010-05-27 22:41:50 UTC
CVS Done

Comment 7 Fedora Update System 2010-06-01 05:42:41 UTC
tangerine-fonts-1.000-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/tangerine-fonts-1.000-1.fc13

Comment 8 Fedora Update System 2010-06-01 18:21:32 UTC
tangerine-fonts-1.000-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tangerine-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tangerine-fonts-1.000-1.fc13

Comment 9 Parag Nemade 2014-09-28 06:28:21 UTC
Package Change Request
======================
Package Name: tangrine-fonts
New Branches: el6 epel7
Owners: pnemade

Comment 10 Gwyn Ciesla 2014-09-29 11:58:28 UTC
Git done (by process-git-requests).

Corrected package name.


Note You need to log in before you can comment on or make changes to this bug.